version: "3.2"

services:

  dns_mock:
    environment:
      DNS_LISTEN_PORT: 53
      DNS_LISTEN_IP: 0.0.0.0
      DNS_HANDLE_TIMEOUT: ${DNS_HANDLE_TIMEOUT}

      MEMCACHED_HOST: ${MEMCACHED_HOST}
      MEMCACHED_PORT: ${MEMCACHED_PORT}

    image: ${IMAGE}
    restart: "no"
    cap_drop:
      - NET_ADMIN
    ports:
      - ${DNS_EXPOSED_PORT}:53/tcp
      - ${DNS_EXPOSED_PORT}:53/udp
    depends_on:
      - memcached

  memcached:
    image: memcached:1.5.16-alpine
    ports:
      - ${MEMCACHED_PORT}:${MEMCACHED_PORT}
